curl -X POST "https://api.nedzo.ai/v1/workspaces/19c3b12f-ec54-43ad-8686-00e921f1befd/billing/payment-methods/setup-intent" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"clientSecret": "seti_1234567890_secret_abc123",
"customerId": "cus_1234567890abcdef"
}
Billing
Create setup intent
Create a Stripe SetupIntent for attaching a new payment method to a workspace. Returns a client_secret for collecting card details with Stripe.js.
POST
/
workspaces
/
{workspaceId}
/
billing
/
payment-methods
/
setup-intent
curl -X POST "https://api.nedzo.ai/v1/workspaces/19c3b12f-ec54-43ad-8686-00e921f1befd/billing/payment-methods/setup-intent" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"clientSecret": "seti_1234567890_secret_abc123",
"customerId": "cus_1234567890abcdef"
}
string
required
Workspace UUID
curl -X POST "https://api.nedzo.ai/v1/workspaces/19c3b12f-ec54-43ad-8686-00e921f1befd/billing/payment-methods/setup-intent" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"clientSecret": "seti_1234567890_secret_abc123",
"customerId": "cus_1234567890abcdef"
}
Was this page helpful?
